<?php
/**
 * This function returns true if given user array contrains actual back user or given usergroup array contains group of actual backend user
 *
 * @author      Thomas Goebe (goebe@twin-systems.de)
 *
 * @param	$attribs array
 *
 * @return	boolean
 */
function we_tag_ifUser($attribs=array(), $content='') {
  $check_userNames = makeArrayFromCSV(we_getTagAttribute("userNames", $attribs, ''));
  $check_userGroups = makeArrayFromCSV(we_getTagAttribute("userGroups", $attribs, ''));
  $showOutsideEditmode = we_getTagAttribute("showOutsideEditmode", $attribs, 'true');

  $showOutsideEditmode = ($showOutsideEditmode == 'true');
  $isEditmode = we_tag('ifEditmode',array());

  if ($isEditmode) {

    // get Username of actual Backend User
    $userName = $_SESSION['user']['Username'];

    // only check groups if parameter userGroups is not empty
    if (count($check_userGroups) > 0) {
      // get Usergroups (IDs) of actual Backend User
      $userGroups = $_SESSION['user']['groups'];

      // default result of group check: false
      $isInUserGroup = false;

      // get paths for actual users userGroups and check, if paths match with specified userGroups
      $query = "SELECT Path FROM ".USER_TABLE." WHERE `ID` IN (";
      $query .= implode(",",$userGroups);
      $query .= ") AND `IsFolder` = 1";


      $db = new DB_WE();
      $db->query($query);
      while($db->next_record()) {
        if (in_array($db->f('Path'), $check_userGroups)) {
          $isInUserGroup = true;
        }
      }
    } else {
      $isInUserGroup = false;
    }

    return ((in_array($userName, $check_userNames)) || ($isInUserGroup));
  } else {
    return $showOutsideEditmode;
  }
}
?>
